<?php


namespace Schaffen\Core\Employee\Models;


use Illuminate\Database\Eloquent\Model;

class Employee extends Model
{
    protected $connection = 'dynamicdb';
    protected $table = "cadastro.funcionario";
    protected $primaryKey = "fun_codigo";
    protected $fillable = [
        "fun_salario",
        "fun_salario_familia",
        "fun_inss",
        "fun_observacao",
        "fun_comissao",
        "fun_user_insert",
        "fun_date_insert",
        "fun_user_update",
        "fun_date_update",
        "fun_fk_pcg_codigo_sal",
        "fun_fk_pcg_codigo_sal_fam",
        "fun_fk_pcg_codigo_inss",
        "fun_fk_pcg_codigo_comissao",
        "fun_fk_org_codigo",
        "fun_ramal",
        "fun_fk_pes_codigo_sup",
        "fun_gerente_depto",
        "fun_nivel",
        "fun_fk_ccu_codigo",
        "fun_fk_pcg_codigo_caixa",
        "fun_comissao_venda",
        "fun_comissao_servico",
        "fun_comissao_venda_final",
        "fun_comissao_servico_final",
        "fun_fk_pes_codigo",
        "fk_filial",
        "fun_fk_pes_codigo"
    ];

    public function mobile()
    {
        return $this->hasOne(EmployeeMobile::class, 'fum_fk_fun_codigo');
    }
}