<?php
/**
 * Created for Schaffen IT.
 * User: Wellington Lima
 */

namespace Schaffen\Core\Movement\Models;


use Illuminate\Database\Eloquent\Model;
use Schaffen\Core\Movement\Models\SalesOrderPaymentForm;

class SalesOrderPaymentFormInstallments extends Model
{

    protected $table = "movimentacao.pedido_venda_forma_pagamento_parcelamento";
    protected $primaryKey = 'pvfpp_codigo';
    public $timestamps = false;

    protected $fillable = [
        'pvfpp_fk_pvfp_codigo',
        'pvfpp_data',
        'pvfpp_valor'        
    ];

    public function pedido_venda_forma_pagamento()
    {
        return $this->belongsTo(SalesOrderPaymentForm::class, 'pvfpp_fk_pvfp_codigo');
    }

}
