<?php


namespace Schaffen\Core\PaymentForm\Managers;


use Freelabois\LaravelQuickstart\Extendables\ManipulationManager;
use Schaffen\Core\PaymentForm\Repositories\PaymentFormRepository;


class PaymentFormManager extends ManipulationManager
{

    /**
     * @var PaymentFormRepository
     */
    protected $repository;

    public function __construct(PaymentFormRepository $repository)
    {
        $this->repository = $repository;
    }


    public function paymentFormsMobile(){
        $payments = $this->repository->list([])
            ->where('fop_codigo', '>', 0);

        foreach ($payments as $payment) {
            $payment->bandeiras = null;
            if($payment->fop_bandeira == 1){
                $payment->bandeiras = $payment->getBandeiras();
            }
        }
        
        return $payments;
    }


}
